## dhcp-helper 1.1

=== Makefile ===
PREFIX?=/usr/local
BINDIR = ${PREFIX}/sbin
MANDIR = ${PREFIX}/man
 
CFLAGS?= -O2

all: dhcp-helper.c
	$(CC) $(CFLAGS) $(RPM_OPT_FLAGS) -Wall -W dhcp-helper.c -o dhcp-helper

clean:
	rm -f *~ *.o core dhcp-helper

install : all
	install -d $(DESTDIR)$(BINDIR) -d $(DESTDIR)$(MANDIR)/man8
	install -m 644 dhcp-helper.8 $(DESTDIR)$(MANDIR)/man8 
	install -m 755 dhcp-helper $(DESTDIR)$(BINDIR)

## dhcp-helper 1.2

=== debian/changelog ===
dhcp-helper (1.2-3.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Use debhelper (v13) to build (Closes: #1086388)
  * Declare Rules-Requires-Root: no (Closes: #1089312)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 01 Jan 2025 03:34:21 +0100

dhcp-helper (1.2-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Move systemd unit to /usr for DEP17. (Closes: #1063550)

 -- Helmut Grohne <helmut@subdivi.de>  Fri, 09 Feb 2024 14:16:21 +0100

dhcp-helper (1.2-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to 3.0 source format. (closes: #953596, #1007509)

 -- Bastian Germann <bage@debian.org>  Wed, 23 Nov 2022 23:52:28 +0100

dhcp-helper (1.2-3) unstable; urgency=low

  * Provide build-arch and build-indep targets in rules. (closes: #999149)

 -- Simon Kelley <simon@thekelleys.org.uk>  Mon, 3 Jan 2021 20:26:06 +0000

dhcp-helper (1.2-2) unstable; urgency=low

  * Move PIFfile to /run in systemd service file. (closes: #962204)

 -- Simon Kelley <simon@thekelleys.org.uk>  Fri, 26 Jun 2020 20:26:06 +0000

dhcp-helper (1.2-1) unstable; urgency=low

  * New upstream.
  * Add systemd unit file.

 -- Simon Kelley <simon@thekelleys.org.uk>  Wed, 26 Jun 2015 20:40:36 +0000

dhcp-helper (1.1-3) unstable; urgency=low

  * More reproducibility work.

 -- Simon Kelley <simon@thekelleys.org.uk>  Sat, 06 Jun 2015 20:39:33 +0000

dhcp-helper (1.1-2) unstable; urgency=low

  * Make build reproducible. (closes: #777308)

 -- Simon Kelley <simon@thekelleys.org.uk>  Mon, 09 Feb 2015 12:11:26 +0000

dhcp-helper (1.1-1) unstable; urgency=low

  * New upstream.
  * Use dpkg-buildflags.
  * Update conflicts to  include isc-dhcp-server and isc-dhcp-relay.
  * Bump Standards-version to 3.9.3

 -- Simon Kelley <simon@thekelleys.org.uk>  Wed, 26 Jun 2012 20:40:36 +0000

dhcp-helper (1.0-1) unstable; urgency=low

  * New upstream.

 -- Simon Kelley <simon@thekelleys.org.uk>  Thu, 14 Aug 2008 17:10:16 +0000

dhcp-helper (0.8-1) unstable; urgency=low

  * New upstream.
  * Include README in doc directory.
  * Added nodocs support for DEB_BUILD_OPTIONS.

 -- Simon Kelley <simon@thekelleys.org.uk>  Thu, 21 Feb 2008 20:14:06 +0000

dhcp-helper (0.7-2) unstable; urgency=low

  * Handle DEB_BUILD_OPTIONS nostrip and noopt (closes: #436759)
  * Provide md5sums.
  * Provide "status" function in init script.

 -- Simon Kelley <simon@thekelleys.org.uk>  Thu,  9 Aug 2007 13:17:16 +0100

dhcp-helper (0.7-1) unstable; urgency=low

  * New upstream.
  * Add LSB tags to init.d script.

 -- Simon Kelley <simon@thekelleys.org.uk>  Sat,  1 Jul 2006 18:24:06 +0100

dhcp-helper (0.6-1) unstable; urgency=low
   
   * New upstream.
   * Bumped standards-version (no changes required).

 -- Simon Kelley <simon@thekelleys.org.uk>  Thur, 4 May 2006 15:28:33 +0100

dhcp-helper (0.5-1) unstable; urgency=low
   
   * New upstream.

 -- Simon Kelley <simon@thekelleys.org.uk>  Fri, 23 Mar 2006 17:58:43 +0100

dhcp-helper (0.4-1) unstable; urgency=low
   
   * New upstream.
   * Removed postints bashism.

 -- Simon Kelley <simon@thekelleys.org.uk>  Fri, 17 Mar 2006 20:20:20 +0100

dhcp-helper (0.3-1) unstable; urgency=low

   * Bumped release to mark tweaks to packaging in preparation
   * for entry into Debian proper. (closes: #320492)

 -- Simon Kelley <simon@thekelleys.org.uk>  Sun, 31 Jul 2005 10:15:20 +0100

dhcp-helper (0.2-1) unstable; urgency=low

   * Initial version

 -- Simon Kelley <simon@thekelleys.org.uk>  Mon, 29 Nov 2004 20:27:27 +0000

=== debian/control ===
Source: dhcp-helper
Section: net
Priority: optional
Maintainer: Simon Kelley <simon@thekelleys.org.uk>
Standards-Version: 3.9.3
Build-Depends: debhelper-compat (= 13)
Rules-Requires-Root: no

Package: dhcp-helper
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: netbase, ${shlibs:Depends}, ${misc:Depends}
Conflicts: isc-dhcp-relay, dhcp3-relay, isc-dhcp-server, dhcp3-server, udhcpd
Description: A DHCP relay agent
 dhcp-helper is a DHCP and BOOTP relay agent. It listens for DHCP 
 and BOOTP broadcasts on directly connected subnets and relays 
 them to DHCP or BOOTP servers elsewhere. dhcp-helper is much smaller
 than dhcp3-relay package and it does not require the Packet Filter
 kernel facility to be present. This makes it a good choice for use 
 on small or embedded systems. Unlike dhcp3-relay, dhcp-helper can be
 configured to forward DHCP requests as broadcasts, and therefore does
 not need to be given the IP address of the DHCP server, only the 
 network in which it resides.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

## dhcp-helper 1.2-1

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,10 @@
 MANDIR = ${PREFIX}/man
  
 CFLAGS?= -O2
+version= $(shell ./get-version)
 
 all: dhcp-helper.c
-	$(CC) $(CFLAGS) $(RPM_OPT_FLAGS) -Wall -W dhcp-helper.c -o dhcp-helper
+	$(CC) $(CFLAGS) $(RPM_OPT_FLAGS) -DVERSION=\"$(version)\" -Wall -W dhcp-helper.c -o dhcp-helper
 
 clean:
 	rm -f *~ *.o core dhcp-helper

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,11 @@
 Section: net
 Priority: optional
 Maintainer: Simon Kelley <simon@thekelleys.org.uk>
-Standards-Version: 3.9.3
-Build-Depends: debhelper-compat (= 13)
-Rules-Requires-Root: no
+Standards-Version:  3.9.3
 
 Package: dhcp-helper
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
-Depends: netbase, ${shlibs:Depends}, ${misc:Depends}
+Depends: netbase, ${shlibs:Depends}
 Conflicts: isc-dhcp-relay, dhcp3-relay, isc-dhcp-server, dhcp3-server, udhcpd
 Description: A DHCP relay agent
  dhcp-helper is a DHCP and BOOTP relay agent. It listens for DHCP

## dhcp-helper 1.2-1build1

=== debian/changelog ===
dhcp-helper (1.2-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:19:18 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dhcp-helper
 Section: net
 Priority: optional
-Maintainer: Simon Kelley <simon@thekelleys.org.uk>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Simon Kelley <simon@thekelleys.org.uk>
 Standards-Version:  3.9.3
 
 Package: dhcp-helper

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file - for dhcp-helper.
# Copyright 2004 by Simon Kelley
# Based on the sample in the debian hello package which carries the following:
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

package=dhcp-helper

CFLAGS = $(shell export DEB_BUILD_OPTIONS=$(DEB_BUILD_OPTIONS); dpkg-buildflags --get CFLAGS)
CFLAGS += $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS += $(shell dpkg-buildflags --get LDFLAGS)
CFLAGS += -Wall -W
BUILD_DATE := $(shell dpkg-parsechangelog --show-field Date)

build:
	$(checkdir)
	make CC=gcc CFLAGS="$(CFLAGS)"
	touch build

clean:
	$(checkdir)
	rm -f build
	rm -rf debian/tmp debian/*~ debian/files* debian/substvars
	make clean

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	rm -rf debian/tmp
	install -d debian/tmp/DEBIAN\
		-d debian/tmp/usr/sbin\
	        -d debian/tmp/usr/share/doc/$(package)\
		-d debian/tmp/usr/share/man/man8\
                -d debian/tmp/etc/init.d\
                -d debian/tmp/etc/default\
		-d debian/tmp/lib/systemd/system\
		-d debian/tmp/var/run
	install -m 644 debian/conffiles debian/tmp/DEBIAN
	install -m 755 debian/postinst debian/postrm debian/prerm debian/tmp/DEBIAN
	install -m 755 dhcp-helper debian/tmp/usr/sbin
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	strip -R .note -R .comment debian/tmp/usr/sbin/dhcp-helper	
endif
	install -m 755 debian/init debian/tmp/etc/init.d/dhcp-helper
	install -m 644 debian/default debian/tmp/etc/default/dhcp-helper
	install -m 644 debian/systemd.service debian/tmp/lib/systemd/system/dhcp-helper.service
ifeq (,$(findstring nodocs,$(DEB_BUILD_OPTIONS)))
	cp CHANGELOG debian/tmp/usr/share/doc/$(package)/changelog
	gzip -9n debian/tmp/usr/share/doc/$(package)/changelog
	cp README debian/tmp/usr/share/doc/$(package)/README
	gzip -9n debian/tmp/usr/share/doc/$(package)/README
endif
	cp debian/changelog debian/tmp/usr/share/doc/$(package)/changelog.Debian
	gzip -9n debian/tmp/usr/share/doc/$(package)/changelog.Debian
	cp debian/copyright debian/tmp/usr/share/doc/$(package)/copyright
	cp dhcp-helper.8 debian/tmp/usr/share/man/man8
	gzip -9n debian/tmp/usr/share/man/man8/dhcp-helper.8
	cd debian/tmp && find . -type f ! -regex '.*DEBIAN/.*' -printf '%P\0' | LC_ALL=C sort -z | xargs -r0 md5sum > DEBIAN/md5sums
	dpkg-shlibdeps debian/tmp/usr/sbin/dhcp-helper
	dpkg-gencontrol
	find debian/tmp -depth -newermt '$(BUILD_DATE)' -print0 | xargs -0r touch --no-dereference --date='$(BUILD_DATE)'
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f dhcp-helper.c -a -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## dhcp-helper 1.2-3

=== debian/rules ===
--- 
+++ 
@@ -81,6 +81,10 @@
 
 binary:		binary-indep binary-arch
 
+build:          
+build-arch:
+build-indep:
+
 checkroot:
 	$(checkdir)
 	test root = "`whoami`"
